Index: testsuites/sptests/sp01/init.c
===================================================================
--- testsuites/sptests/sp01/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp01/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp01/system.h
===================================================================
--- testsuites/sptests/sp01/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp01/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,27 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Task_1_through_3(
+  rtems_task_argument argument
+);
 
-/* structures */
+/* configuration information */
 
-#include "gvar.h"
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
 
 /* end of include file */
Index: testsuites/sptests/sp02/init.c
===================================================================
--- testsuites/sptests/sp02/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp02/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -20,12 +20,9 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:06:49 joel Exp
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp02/preempt.c
===================================================================
--- testsuites/sptests/sp02/preempt.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp02/preempt.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -16,5 +16,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  preempt.c,v 1.2 1995/05/31 17:06:51 joel Exp
  */
 
Index: testsuites/sptests/sp02/system.h
===================================================================
--- testsuites/sptests/sp02/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp02/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,14 +17,42 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Preempt_task(
+  rtems_task_argument argument
+);
 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* structures */
+rtems_task Task_2(
+  rtems_task_argument argument
+);
 
-#include "gvar.h"
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+
+/* configuration information */
+
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Preempt_task_id;         /* preempt task id */
+TEST_EXTERN rtems_name Preempt_task_name;       /* preempt task name */
 
 /* end of include file */
Index: testsuites/sptests/sp02/task1.c
===================================================================
--- testsuites/sptests/sp02/task1.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp02/task1.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -16,5 +16,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:06:56 joel Exp
  */
 
Index: testsuites/sptests/sp02/task2.c
===================================================================
--- testsuites/sptests/sp02/task2.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp02/task2.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -18,5 +18,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task2.c,v 1.2 1995/05/31 17:06:58 joel Exp
  */
 
Index: testsuites/sptests/sp02/task3.c
===================================================================
--- testsuites/sptests/sp02/task3.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp02/task3.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,5 +17,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task3.c,v 1.2 1995/05/31 17:07:00 joel Exp
  */
 
Index: testsuites/sptests/sp03/init.c
===================================================================
--- testsuites/sptests/sp03/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp03/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp03/system.h
===================================================================
--- testsuites/sptests/sp03/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp03/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,31 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
 
-/* structures */
+/* configuration information */
 
-#include "gvar.h"
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
 
 /* end of include file */
Index: testsuites/sptests/sp04/init.c
===================================================================
--- testsuites/sptests/sp04/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp04/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_extensions_table Extensions = {
@@ -35,4 +32,5 @@
   NULL,                      /* task delete user extension */
   Task_switch,               /* task switch user extension */
+  NULL,                      /* task post switch user extension */
   NULL,                      /* task begin user extension */
   NULL,                      /* task exitted user extension */
Index: testsuites/sptests/sp04/system.h
===================================================================
--- testsuites/sptests/sp04/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp04/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,49 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+ 
+void Task_switch(
+  rtems_tcb *unused,
+  rtems_tcb *heir
+);
 
-/* structures */
+/* configuration information */
 
-#include "gvar.h"
+#define CONFIGURE_SPTEST
 
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_USER_EXTENSIONS     1
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Extension_id[ 4 ];
+TEST_EXTERN rtems_name Extension_name[ 4 ];  /* array of task names */
+ 
+/* array of task run counts */
+TEST_EXTERN volatile rtems_unsigned32 Run_count[ 4 ];  
+ 
 /* end of include file */
Index: testsuites/sptests/sp05/init.c
===================================================================
--- testsuites/sptests/sp05/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp05/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp05/system.h
===================================================================
--- testsuites/sptests/sp05/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp05/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,37 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+ 
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
 
 /* end of include file */
Index: testsuites/sptests/sp06/init.c
===================================================================
--- testsuites/sptests/sp06/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp06/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp06/system.h
===================================================================
--- testsuites/sptests/sp06/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp06/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,40 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+ 
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_task_argument Argument;         /* generic task argument */
+TEST_EXTERN rtems_task_argument Restart_argument; /* task 1 restart argument */
 
 /* end of include file */
Index: testsuites/sptests/sp07/init.c
===================================================================
--- testsuites/sptests/sp07/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp07/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_extensions_table Extensions = {
@@ -35,4 +32,5 @@
   Task_delete_extension,     /* task delete user extension */
   NULL,                      /* task switch user extension */
+  NULL,                      /* task post switch user extension */
   NULL,                      /* begin user extension */
   Task_exit_extension,       /* task exitted user extension */
Index: testsuites/sptests/sp07/system.h
===================================================================
--- testsuites/sptests/sp07/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp07/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,18 +17,69 @@
 #include <tmacros.h>
 
-/* constants */
+/* functions */
 
-#define SI_NAME       0x53595349     /* name - "SYSI" */
-#define I_NAME        0x49444c45     /* name - "IDLE" */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* Miscellaneous */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_4(
+  rtems_task_argument argument
+);
+ 
+rtems_boolean Task_create_extension(
+  rtems_tcb *unused,
+  rtems_tcb *created_task
+);
+ 
+rtems_extension Task_delete_extension(
+  rtems_tcb *running_task,
+  rtems_tcb *deleted_task
+);
+ 
+rtems_extension Task_restart_extension(
+  rtems_tcb *unused,
+  rtems_tcb *restarted_task
+);
+ 
+rtems_extension Task_start_extension(
+  rtems_tcb *unused,
+  rtems_tcb *started_task
+);
+ 
+rtems_extension Task_exit_extension(
+  rtems_tcb *running_task
+);
 
-#define EXTERN  extern             /* external definition */
+/* configuration information */
 
-/* macros */
+#define CONFIGURE_SPTEST
 
-/* structures */
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
-#include "gvar.h"
+#define CONFIGURE_MAXIMUM_USER_EXTENSIONS     1
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
 
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Extension_id[ 4 ];
+TEST_EXTERN rtems_name Extension_name[ 4 ];  /* array of task names */
+ 
 /* end of include file */
Index: testsuites/sptests/sp07/tcreate.c
===================================================================
--- testsuites/sptests/sp07/tcreate.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp07/tcreate.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -22,5 +22,5 @@
 #include "system.h"
 
-rtems_extension Task_create_extension(
+rtems_boolean Task_create_extension(
   rtems_tcb *unused,
   rtems_tcb *created_task
@@ -32,3 +32,4 @@
     puts( " - created." );
   }
+  return TRUE;
 }
Index: testsuites/sptests/sp08/init.c
===================================================================
--- testsuites/sptests/sp08/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp08/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp08/system.h
===================================================================
--- testsuites/sptests/sp08/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp08/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,16 +17,32 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
-
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
 #define put_mode( _comment, _output_mode ) \
    printf( "%s %08x\n", _comment, _output_mode );
 
-/* structures */
+/* configuration information */
 
-#include "gvar.h"
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
 
 /* end of include file */
Index: testsuites/sptests/sp09/init.c
===================================================================
--- testsuites/sptests/sp09/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp09/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp09/system.h
===================================================================
--- testsuites/sptests/sp09/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp09/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,123 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_timer_service_routine Delayed_routine(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
 
-/* structures */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-#include "gvar.h"
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+
+rtems_task Task_4(
+  rtems_task_argument argument
+);
+
+rtems_isr Service_routine(
+  rtems_vector_number ignored
+);
+
+rtems_timer_service_routine Io_during_interrupt(
+  rtems_id ignored
+);
+
+void Screen1( void );
+
+void Screen2( void );
+
+void Screen3( void );
+
+void Screen4( void );
+
+void Screen5( void );
+
+void Screen6( void );
+
+void Screen7( void );
+
+void Screen8( void );
+
+void Screen9( void );
+
+void Screen10( void );
+
+void Screen11( void );
+
+void Screen12( void );
+
+void Screen13( void );
+
+void Screen14( void );
+
+/* configuration information */
+
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_TIMERS              1
+#define CONFIGURE_MAXIMUM_SEMAPHORES          2
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES      1
+#define CONFIGURE_MAXIMUM_PARTITIONS          1
+#define CONFIGURE_MAXIMUM_REGIONS             1
+#define CONFIGURE_MAXIMUM_PERIODS             1
+#define CONFIGURE_MAXIMUM_USER_EXTENSIONS     0
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 11 ];       /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 11 ];     /* array of task names */
+ 
+TEST_EXTERN rtems_name Timer_name[ 2 ];     /* array of timer names */
+TEST_EXTERN rtems_id   Timer_id[ 2 ];       /* array of timer ids */
+ 
+TEST_EXTERN rtems_name Semaphore_name[ 4 ]; /* array of semaphore names */
+TEST_EXTERN rtems_id   Semaphore_id[ 4 ];   /* array of semaphore ids */
+ 
+TEST_EXTERN rtems_name Queue_name[ 3 ];     /* array of queue names */
+TEST_EXTERN rtems_id   Queue_id[ 3 ];       /* array of queue ids */
+ 
+TEST_EXTERN rtems_name Partition_name[ 2 ]; /* array of partition names */
+TEST_EXTERN rtems_id   Partition_id[ 2 ];   /* array of partition ids */
+ 
+TEST_EXTERN rtems_name Region_name[ 2 ];    /* array of region names */
+TEST_EXTERN rtems_id   Region_id[ 2 ];      /* array of region ids */
+ 
+TEST_EXTERN rtems_name Port_name[ 2 ];      /* array of port names */
+TEST_EXTERN rtems_id   Port_id[ 2 ];        /* array of port ids */
+ 
+TEST_EXTERN rtems_name Period_name[ 2 ];    /* array of period names */
+TEST_EXTERN rtems_id   Period_id[ 2 ];      /* array of period ids */
+ 
+TEST_EXTERN rtems_id   Junk_id;             /* id used to return errors */
+ 
+#define Internal_port_area (void *) 0x00001000
+#define External_port_area (void *) 0x00002000
+ 
+TEST_EXTERN rtems_unsigned8 Partition_good_area[256] CPU_STRUCTURE_ALIGNMENT;
+#define Partition_bad_area (void *) 0x00000006
+ 
+TEST_EXTERN rtems_unsigned32 Region_good_area[4096] CPU_STRUCTURE_ALIGNMENT;
+#define Region_bad_area    (void *) 0x00000006
+#define REGION_START_OFFSET 1024
+#define REGION_LENGTH       512
 
 /* end of include file */
Index: testsuites/sptests/sp11/init.c
===================================================================
--- testsuites/sptests/sp11/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp11/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp11/system.h
===================================================================
--- testsuites/sptests/sp11/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp11/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,72 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_timer_service_routine TA1_send_18_to_self_5_seconds(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ 
+rtems_timer_service_routine TA1_send_8_to_self_60_seconds(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ 
+rtems_timer_service_routine TA1_send_9_to_self_60_seconds(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ 
+rtems_timer_service_routine TA1_send_10_to_self(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ 
+rtems_timer_service_routine TA1_send_1_to_self_every_second(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ 
+rtems_timer_service_routine TA1_send_11_to_self(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ 
+rtems_timer_service_routine TA2_send_10_to_self(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_TIMERS              6
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Timer_id[ 7 ];     /* array of timer ids */
+TEST_EXTERN rtems_name Timer_name[ 7 ];   /* array of timer names */
 
 /* end of include file */
Index: testsuites/sptests/sp12/init.c
===================================================================
--- testsuites/sptests/sp12/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp12/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp12/sp12.scn
===================================================================
--- testsuites/sptests/sp12/sp12.scn	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp12/sp12.scn	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -36,5 +36,5 @@
 PRI5 - priority of PRI5 is 68
 <pause>
-TA1 - rtems_semaphore_ident - smid => 10010001
+TA1 - rtems_semaphore_ident - smid => 10010002
 TA1 - rtems_semaphore_obtain - wait forever on SM2
 TA1 - got SM2
Index: testsuites/sptests/sp12/system.h
===================================================================
--- testsuites/sptests/sp12/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp12/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,63 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+void Priority_test_driver(
+  rtems_unsigned32 priority_base
+);
+ 
+rtems_task Priority_task(
+  rtems_task_argument its_index
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_4(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task5(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_SEMAPHORES         10
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+ 
+TEST_EXTERN rtems_id   Task_id[ 6 ];             /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 6 ];           /* array of task names */
+ 
+TEST_EXTERN rtems_id   Priority_task_id[ 6 ];    /* array of task ids */
+TEST_EXTERN rtems_name Priority_task_name[ 6 ];  /* array of task names */
+ 
+TEST_EXTERN rtems_task_priority Task_priority[ 6 ];
+ 
+TEST_EXTERN rtems_id   Semaphore_id[ 4 ];        /* array of semaphore ids */
+TEST_EXTERN rtems_name Semaphore_name[ 4 ];      /* array of semaphore names */
 
 /* end of include file */
Index: testsuites/sptests/sp13/init.c
===================================================================
--- testsuites/sptests/sp13/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp13/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp13/sp13.scn
===================================================================
--- testsuites/sptests/sp13/sp13.scn	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp13/sp13.scn	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -69,1034 +69,4 @@
 <pause> 
 TA1 - rtems_message_queue_create - variable sizes 
-<pause> 
 TA1 - rtems_message_queue_create and send - variable sizes 
-TA1 - message queue size: 1
-TA1 - message queue size: 2
-TA1 - message queue size: 3
-TA1 - message queue size: 4
-TA1 - message queue size: 5
-TA1 - message queue size: 6
-TA1 - message queue size: 7
-TA1 - message queue size: 8
-TA1 - message queue size: 9
-TA1 - message queue size: 10
-TA1 - message queue size: 11
-TA1 - message queue size: 12
-TA1 - message queue size: 13
-TA1 - message queue size: 14
-TA1 - message queue size: 15
-TA1 - message queue size: 16
-TA1 - message queue size: 17
-TA1 - message queue size: 18
-TA1 - message queue size: 19
-TA1 - message queue size: 20
-TA1 - message queue size: 21
-TA1 - message queue size: 22
-TA1 - message queue size: 23
-TA1 - message queue size: 24
-TA1 - message queue size: 25
-TA1 - message queue size: 26
-TA1 - message queue size: 27
-TA1 - message queue size: 28
-TA1 - message queue size: 29
-TA1 - message queue size: 30
-TA1 - message queue size: 31
-TA1 - message queue size: 32
-TA1 - message queue size: 33
-TA1 - message queue size: 34
-TA1 - message queue size: 35
-TA1 - message queue size: 36
-TA1 - message queue size: 37
-TA1 - message queue size: 38
-TA1 - message queue size: 39
-TA1 - message queue size: 40
-TA1 - message queue size: 41
-TA1 - message queue size: 42
-TA1 - message queue size: 43
-TA1 - message queue size: 44
-TA1 - message queue size: 45
-TA1 - message queue size: 46
-TA1 - message queue size: 47
-TA1 - message queue size: 48
-TA1 - message queue size: 49
-TA1 - message queue size: 50
-TA1 - message queue size: 51
-TA1 - message queue size: 52
-TA1 - message queue size: 53
-TA1 - message queue size: 54
-TA1 - message queue size: 55
-TA1 - message queue size: 56
-TA1 - message queue size: 57
-TA1 - message queue size: 58
-TA1 - message queue size: 59
-TA1 - message queue size: 60
-TA1 - message queue size: 61
-TA1 - message queue size: 62
-TA1 - message queue size: 63
-TA1 - message queue size: 64
-TA1 - message queue size: 65
-TA1 - message queue size: 66
-TA1 - message queue size: 67
-TA1 - message queue size: 68
-TA1 - message queue size: 69
-TA1 - message queue size: 70
-TA1 - message queue size: 71
-TA1 - message queue size: 72
-TA1 - message queue size: 73
-TA1 - message queue size: 74
-TA1 - message queue size: 75
-TA1 - message queue size: 76
-TA1 - message queue size: 77
-TA1 - message queue size: 78
-TA1 - message queue size: 79
-TA1 - message queue size: 80
-TA1 - message queue size: 81
-TA1 - message queue size: 82
-TA1 - message queue size: 83
-TA1 - message queue size: 84
-TA1 - message queue size: 85
-TA1 - message queue size: 86
-TA1 - message queue size: 87
-TA1 - message queue size: 88
-TA1 - message queue size: 89
-TA1 - message queue size: 90
-TA1 - message queue size: 91
-TA1 - message queue size: 92
-TA1 - message queue size: 93
-TA1 - message queue size: 94
-TA1 - message queue size: 95
-TA1 - message queue size: 96
-TA1 - message queue size: 97
-TA1 - message queue size: 98
-TA1 - message queue size: 99
-TA1 - message queue size: 100
-TA1 - message queue size: 101
-TA1 - message queue size: 102
-TA1 - message queue size: 103
-TA1 - message queue size: 104
-TA1 - message queue size: 105
-TA1 - message queue size: 106
-TA1 - message queue size: 107
-TA1 - message queue size: 108
-TA1 - message queue size: 109
-TA1 - message queue size: 110
-TA1 - message queue size: 111
-TA1 - message queue size: 112
-TA1 - message queue size: 113
-TA1 - message queue size: 114
-TA1 - message queue size: 115
-TA1 - message queue size: 116
-TA1 - message queue size: 117
-TA1 - message queue size: 118
-TA1 - message queue size: 119
-TA1 - message queue size: 120
-TA1 - message queue size: 121
-TA1 - message queue size: 122
-TA1 - message queue size: 123
-TA1 - message queue size: 124
-TA1 - message queue size: 125
-TA1 - message queue size: 126
-TA1 - message queue size: 127
-TA1 - message queue size: 128
-TA1 - message queue size: 129
-TA1 - message queue size: 130
-TA1 - message queue size: 131
-TA1 - message queue size: 132
-TA1 - message queue size: 133
-TA1 - message queue size: 134
-TA1 - message queue size: 135
-TA1 - message queue size: 136
-TA1 - message queue size: 137
-TA1 - message queue size: 138
-TA1 - message queue size: 139
-TA1 - message queue size: 140
-TA1 - message queue size: 141
-TA1 - message queue size: 142
-TA1 - message queue size: 143
-TA1 - message queue size: 144
-TA1 - message queue size: 145
-TA1 - message queue size: 146
-TA1 - message queue size: 147
-TA1 - message queue size: 148
-TA1 - message queue size: 149
-TA1 - message queue size: 150
-TA1 - message queue size: 151
-TA1 - message queue size: 152
-TA1 - message queue size: 153
-TA1 - message queue size: 154
-TA1 - message queue size: 155
-TA1 - message queue size: 156
-TA1 - message queue size: 157
-TA1 - message queue size: 158
-TA1 - message queue size: 159
-TA1 - message queue size: 160
-TA1 - message queue size: 161
-TA1 - message queue size: 162
-TA1 - message queue size: 163
-TA1 - message queue size: 164
-TA1 - message queue size: 165
-TA1 - message queue size: 166
-TA1 - message queue size: 167
-TA1 - message queue size: 168
-TA1 - message queue size: 169
-TA1 - message queue size: 170
-TA1 - message queue size: 171
-TA1 - message queue size: 172
-TA1 - message queue size: 173
-TA1 - message queue size: 174
-TA1 - message queue size: 175
-TA1 - message queue size: 176
-TA1 - message queue size: 177
-TA1 - message queue size: 178
-TA1 - message queue size: 179
-TA1 - message queue size: 180
-TA1 - message queue size: 181
-TA1 - message queue size: 182
-TA1 - message queue size: 183
-TA1 - message queue size: 184
-TA1 - message queue size: 185
-TA1 - message queue size: 186
-TA1 - message queue size: 187
-TA1 - message queue size: 188
-TA1 - message queue size: 189
-TA1 - message queue size: 190
-TA1 - message queue size: 191
-TA1 - message queue size: 192
-TA1 - message queue size: 193
-TA1 - message queue size: 194
-TA1 - message queue size: 195
-TA1 - message queue size: 196
-TA1 - message queue size: 197
-TA1 - message queue size: 198
-TA1 - message queue size: 199
-TA1 - message queue size: 200
-TA1 - message queue size: 201
-TA1 - message queue size: 202
-TA1 - message queue size: 203
-TA1 - message queue size: 204
-TA1 - message queue size: 205
-TA1 - message queue size: 206
-TA1 - message queue size: 207
-TA1 - message queue size: 208
-TA1 - message queue size: 209
-TA1 - message queue size: 210
-TA1 - message queue size: 211
-TA1 - message queue size: 212
-TA1 - message queue size: 213
-TA1 - message queue size: 214
-TA1 - message queue size: 215
-TA1 - message queue size: 216
-TA1 - message queue size: 217
-TA1 - message queue size: 218
-TA1 - message queue size: 219
-TA1 - message queue size: 220
-TA1 - message queue size: 221
-TA1 - message queue size: 222
-TA1 - message queue size: 223
-TA1 - message queue size: 224
-TA1 - message queue size: 225
-TA1 - message queue size: 226
-TA1 - message queue size: 227
-TA1 - message queue size: 228
-TA1 - message queue size: 229
-TA1 - message queue size: 230
-TA1 - message queue size: 231
-TA1 - message queue size: 232
-TA1 - message queue size: 233
-TA1 - message queue size: 234
-TA1 - message queue size: 235
-TA1 - message queue size: 236
-TA1 - message queue size: 237
-TA1 - message queue size: 238
-TA1 - message queue size: 239
-TA1 - message queue size: 240
-TA1 - message queue size: 241
-TA1 - message queue size: 242
-TA1 - message queue size: 243
-TA1 - message queue size: 244
-TA1 - message queue size: 245
-TA1 - message queue size: 246
-TA1 - message queue size: 247
-TA1 - message queue size: 248
-TA1 - message queue size: 249
-TA1 - message queue size: 250
-TA1 - message queue size: 251
-TA1 - message queue size: 252
-TA1 - message queue size: 253
-TA1 - message queue size: 254
-TA1 - message queue size: 255
-TA1 - message queue size: 256
-TA1 - message queue size: 257
-TA1 - message queue size: 258
-TA1 - message queue size: 259
-TA1 - message queue size: 260
-TA1 - message queue size: 261
-TA1 - message queue size: 262
-TA1 - message queue size: 263
-TA1 - message queue size: 264
-TA1 - message queue size: 265
-TA1 - message queue size: 266
-TA1 - message queue size: 267
-TA1 - message queue size: 268
-TA1 - message queue size: 269
-TA1 - message queue size: 270
-TA1 - message queue size: 271
-TA1 - message queue size: 272
-TA1 - message queue size: 273
-TA1 - message queue size: 274
-TA1 - message queue size: 275
-TA1 - message queue size: 276
-TA1 - message queue size: 277
-TA1 - message queue size: 278
-TA1 - message queue size: 279
-TA1 - message queue size: 280
-TA1 - message queue size: 281
-TA1 - message queue size: 282
-TA1 - message queue size: 283
-TA1 - message queue size: 284
-TA1 - message queue size: 285
-TA1 - message queue size: 286
-TA1 - message queue size: 287
-TA1 - message queue size: 288
-TA1 - message queue size: 289
-TA1 - message queue size: 290
-TA1 - message queue size: 291
-TA1 - message queue size: 292
-TA1 - message queue size: 293
-TA1 - message queue size: 294
-TA1 - message queue size: 295
-TA1 - message queue size: 296
-TA1 - message queue size: 297
-TA1 - message queue size: 298
-TA1 - message queue size: 299
-TA1 - message queue size: 300
-TA1 - message queue size: 301
-TA1 - message queue size: 302
-TA1 - message queue size: 303
-TA1 - message queue size: 304
-TA1 - message queue size: 305
-TA1 - message queue size: 306
-TA1 - message queue size: 307
-TA1 - message queue size: 308
-TA1 - message queue size: 309
-TA1 - message queue size: 310
-TA1 - message queue size: 311
-TA1 - message queue size: 312
-TA1 - message queue size: 313
-TA1 - message queue size: 314
-TA1 - message queue size: 315
-TA1 - message queue size: 316
-TA1 - message queue size: 317
-TA1 - message queue size: 318
-TA1 - message queue size: 319
-TA1 - message queue size: 320
-TA1 - message queue size: 321
-TA1 - message queue size: 322
-TA1 - message queue size: 323
-TA1 - message queue size: 324
-TA1 - message queue size: 325
-TA1 - message queue size: 326
-TA1 - message queue size: 327
-TA1 - message queue size: 328
-TA1 - message queue size: 329
-TA1 - message queue size: 330
-TA1 - message queue size: 331
-TA1 - message queue size: 332
-TA1 - message queue size: 333
-TA1 - message queue size: 334
-TA1 - message queue size: 335
-TA1 - message queue size: 336
-TA1 - message queue size: 337
-TA1 - message queue size: 338
-TA1 - message queue size: 339
-TA1 - message queue size: 340
-TA1 - message queue size: 341
-TA1 - message queue size: 342
-TA1 - message queue size: 343
-TA1 - message queue size: 344
-TA1 - message queue size: 345
-TA1 - message queue size: 346
-TA1 - message queue size: 347
-TA1 - message queue size: 348
-TA1 - message queue size: 349
-TA1 - message queue size: 350
-TA1 - message queue size: 351
-TA1 - message queue size: 352
-TA1 - message queue size: 353
-TA1 - message queue size: 354
-TA1 - message queue size: 355
-TA1 - message queue size: 356
-TA1 - message queue size: 357
-TA1 - message queue size: 358
-TA1 - message queue size: 359
-TA1 - message queue size: 360
-TA1 - message queue size: 361
-TA1 - message queue size: 362
-TA1 - message queue size: 363
-TA1 - message queue size: 364
-TA1 - message queue size: 365
-TA1 - message queue size: 366
-TA1 - message queue size: 367
-TA1 - message queue size: 368
-TA1 - message queue size: 369
-TA1 - message queue size: 370
-TA1 - message queue size: 371
-TA1 - message queue size: 372
-TA1 - message queue size: 373
-TA1 - message queue size: 374
-TA1 - message queue size: 375
-TA1 - message queue size: 376
-TA1 - message queue size: 377
-TA1 - message queue size: 378
-TA1 - message queue size: 379
-TA1 - message queue size: 380
-TA1 - message queue size: 381
-TA1 - message queue size: 382
-TA1 - message queue size: 383
-TA1 - message queue size: 384
-TA1 - message queue size: 385
-TA1 - message queue size: 386
-TA1 - message queue size: 387
-TA1 - message queue size: 388
-TA1 - message queue size: 389
-TA1 - message queue size: 390
-TA1 - message queue size: 391
-TA1 - message queue size: 392
-TA1 - message queue size: 393
-TA1 - message queue size: 394
-TA1 - message queue size: 395
-TA1 - message queue size: 396
-TA1 - message queue size: 397
-TA1 - message queue size: 398
-TA1 - message queue size: 399
-TA1 - message queue size: 400
-TA1 - message queue size: 401
-TA1 - message queue size: 402
-TA1 - message queue size: 403
-TA1 - message queue size: 404
-TA1 - message queue size: 405
-TA1 - message queue size: 406
-TA1 - message queue size: 407
-TA1 - message queue size: 408
-TA1 - message queue size: 409
-TA1 - message queue size: 410
-TA1 - message queue size: 411
-TA1 - message queue size: 412
-TA1 - message queue size: 413
-TA1 - message queue size: 414
-TA1 - message queue size: 415
-TA1 - message queue size: 416
-TA1 - message queue size: 417
-TA1 - message queue size: 418
-TA1 - message queue size: 419
-TA1 - message queue size: 420
-TA1 - message queue size: 421
-TA1 - message queue size: 422
-TA1 - message queue size: 423
-TA1 - message queue size: 424
-TA1 - message queue size: 425
-TA1 - message queue size: 426
-TA1 - message queue size: 427
-TA1 - message queue size: 428
-TA1 - message queue size: 429
-TA1 - message queue size: 430
-TA1 - message queue size: 431
-TA1 - message queue size: 432
-TA1 - message queue size: 433
-TA1 - message queue size: 434
-TA1 - message queue size: 435
-TA1 - message queue size: 436
-TA1 - message queue size: 437
-TA1 - message queue size: 438
-TA1 - message queue size: 439
-TA1 - message queue size: 440
-TA1 - message queue size: 441
-TA1 - message queue size: 442
-TA1 - message queue size: 443
-TA1 - message queue size: 444
-TA1 - message queue size: 445
-TA1 - message queue size: 446
-TA1 - message queue size: 447
-TA1 - message queue size: 448
-TA1 - message queue size: 449
-TA1 - message queue size: 450
-TA1 - message queue size: 451
-TA1 - message queue size: 452
-TA1 - message queue size: 453
-TA1 - message queue size: 454
-TA1 - message queue size: 455
-TA1 - message queue size: 456
-TA1 - message queue size: 457
-TA1 - message queue size: 458
-TA1 - message queue size: 459
-TA1 - message queue size: 460
-TA1 - message queue size: 461
-TA1 - message queue size: 462
-TA1 - message queue size: 463
-TA1 - message queue size: 464
-TA1 - message queue size: 465
-TA1 - message queue size: 466
-TA1 - message queue size: 467
-TA1 - message queue size: 468
-TA1 - message queue size: 469
-TA1 - message queue size: 470
-TA1 - message queue size: 471
-TA1 - message queue size: 472
-TA1 - message queue size: 473
-TA1 - message queue size: 474
-TA1 - message queue size: 475
-TA1 - message queue size: 476
-TA1 - message queue size: 477
-TA1 - message queue size: 478
-TA1 - message queue size: 479
-TA1 - message queue size: 480
-TA1 - message queue size: 481
-TA1 - message queue size: 482
-TA1 - message queue size: 483
-TA1 - message queue size: 484
-TA1 - message queue size: 485
-TA1 - message queue size: 486
-TA1 - message queue size: 487
-TA1 - message queue size: 488
-TA1 - message queue size: 489
-TA1 - message queue size: 490
-TA1 - message queue size: 491
-TA1 - message queue size: 492
-TA1 - message queue size: 493
-TA1 - message queue size: 494
-TA1 - message queue size: 495
-TA1 - message queue size: 496
-TA1 - message queue size: 497
-TA1 - message queue size: 498
-TA1 - message queue size: 499
-TA1 - message queue size: 500
-TA1 - message queue size: 501
-TA1 - message queue size: 502
-TA1 - message queue size: 503
-TA1 - message queue size: 504
-TA1 - message queue size: 505
-TA1 - message queue size: 506
-TA1 - message queue size: 507
-TA1 - message queue size: 508
-TA1 - message queue size: 509
-TA1 - message queue size: 510
-TA1 - message queue size: 511
-TA1 - message queue size: 512
-TA1 - message queue size: 513
-TA1 - message queue size: 514
-TA1 - message queue size: 515
-TA1 - message queue size: 516
-TA1 - message queue size: 517
-TA1 - message queue size: 518
-TA1 - message queue size: 519
-TA1 - message queue size: 520
-TA1 - message queue size: 521
-TA1 - message queue size: 522
-TA1 - message queue size: 523
-TA1 - message queue size: 524
-TA1 - message queue size: 525
-TA1 - message queue size: 526
-TA1 - message queue size: 527
-TA1 - message queue size: 528
-TA1 - message queue size: 529
-TA1 - message queue size: 530
-TA1 - message queue size: 531
-TA1 - message queue size: 532
-TA1 - message queue size: 533
-TA1 - message queue size: 534
-TA1 - message queue size: 535
-TA1 - message queue size: 536
-TA1 - message queue size: 537
-TA1 - message queue size: 538
-TA1 - message queue size: 539
-TA1 - message queue size: 540
-TA1 - message queue size: 541
-TA1 - message queue size: 542
-TA1 - message queue size: 543
-TA1 - message queue size: 544
-TA1 - message queue size: 545
-TA1 - message queue size: 546
-TA1 - message queue size: 547
-TA1 - message queue size: 548
-TA1 - message queue size: 549
-TA1 - message queue size: 550
-TA1 - message queue size: 551
-TA1 - message queue size: 552
-TA1 - message queue size: 553
-TA1 - message queue size: 554
-TA1 - message queue size: 555
-TA1 - message queue size: 556
-TA1 - message queue size: 557
-TA1 - message queue size: 558
-TA1 - message queue size: 559
-TA1 - message queue size: 560
-TA1 - message queue size: 561
-TA1 - message queue size: 562
-TA1 - message queue size: 563
-TA1 - message queue size: 564
-TA1 - message queue size: 565
-TA1 - message queue size: 566
-TA1 - message queue size: 567
-TA1 - message queue size: 568
-TA1 - message queue size: 569
-TA1 - message queue size: 570
-TA1 - message queue size: 571
-TA1 - message queue size: 572
-TA1 - message queue size: 573
-TA1 - message queue size: 574
-TA1 - message queue size: 575
-TA1 - message queue size: 576
-TA1 - message queue size: 577
-TA1 - message queue size: 578
-TA1 - message queue size: 579
-TA1 - message queue size: 580
-TA1 - message queue size: 581
-TA1 - message queue size: 582
-TA1 - message queue size: 583
-TA1 - message queue size: 584
-TA1 - message queue size: 585
-TA1 - message queue size: 586
-TA1 - message queue size: 587
-TA1 - message queue size: 588
-TA1 - message queue size: 589
-TA1 - message queue size: 590
-TA1 - message queue size: 591
-TA1 - message queue size: 592
-TA1 - message queue size: 593
-TA1 - message queue size: 594
-TA1 - message queue size: 595
-TA1 - message queue size: 596
-TA1 - message queue size: 597
-TA1 - message queue size: 598
-TA1 - message queue size: 599
-TA1 - message queue size: 600
-TA1 - message queue size: 601
-TA1 - message queue size: 602
-TA1 - message queue size: 603
-TA1 - message queue size: 604
-TA1 - message queue size: 605
-TA1 - message queue size: 606
-TA1 - message queue size: 607
-TA1 - message queue size: 608
-TA1 - message queue size: 609
-TA1 - message queue size: 610
-TA1 - message queue size: 611
-TA1 - message queue size: 612
-TA1 - message queue size: 613
-TA1 - message queue size: 614
-TA1 - message queue size: 615
-TA1 - message queue size: 616
-TA1 - message queue size: 617
-TA1 - message queue size: 618
-TA1 - message queue size: 619
-TA1 - message queue size: 620
-TA1 - message queue size: 621
-TA1 - message queue size: 622
-TA1 - message queue size: 623
-TA1 - message queue size: 624
-TA1 - message queue size: 625
-TA1 - message queue size: 626
-TA1 - message queue size: 627
-TA1 - message queue size: 628
-TA1 - message queue size: 629
-TA1 - message queue size: 630
-TA1 - message queue size: 631
-TA1 - message queue size: 632
-TA1 - message queue size: 633
-TA1 - message queue size: 634
-TA1 - message queue size: 635
-TA1 - message queue size: 636
-TA1 - message queue size: 637
-TA1 - message queue size: 638
-TA1 - message queue size: 639
-TA1 - message queue size: 640
-TA1 - message queue size: 641
-TA1 - message queue size: 642
-TA1 - message queue size: 643
-TA1 - message queue size: 644
-TA1 - message queue size: 645
-TA1 - message queue size: 646
-TA1 - message queue size: 647
-TA1 - message queue size: 648
-TA1 - message queue size: 649
-TA1 - message queue size: 650
-TA1 - message queue size: 651
-TA1 - message queue size: 652
-TA1 - message queue size: 653
-TA1 - message queue size: 654
-TA1 - message queue size: 655
-TA1 - message queue size: 656
-TA1 - message queue size: 657
-TA1 - message queue size: 658
-TA1 - message queue size: 659
-TA1 - message queue size: 660
-TA1 - message queue size: 661
-TA1 - message queue size: 662
-TA1 - message queue size: 663
-TA1 - message queue size: 664
-TA1 - message queue size: 665
-TA1 - message queue size: 666
-TA1 - message queue size: 667
-TA1 - message queue size: 668
-TA1 - message queue size: 669
-TA1 - message queue size: 670
-TA1 - message queue size: 671
-TA1 - message queue size: 672
-TA1 - message queue size: 673
-TA1 - message queue size: 674
-TA1 - message queue size: 675
-TA1 - message queue size: 676
-TA1 - message queue size: 677
-TA1 - message queue size: 678
-TA1 - message queue size: 679
-TA1 - message queue size: 680
-TA1 - message queue size: 681
-TA1 - message queue size: 682
-TA1 - message queue size: 683
-TA1 - message queue size: 684
-TA1 - message queue size: 685
-TA1 - message queue size: 686
-TA1 - message queue size: 687
-TA1 - message queue size: 688
-TA1 - message queue size: 689
-TA1 - message queue size: 690
-TA1 - message queue size: 691
-TA1 - message queue size: 692
-TA1 - message queue size: 693
-TA1 - message queue size: 694
-TA1 - message queue size: 695
-TA1 - message queue size: 696
-TA1 - message queue size: 697
-TA1 - message queue size: 698
-TA1 - message queue size: 699
-TA1 - message queue size: 700
-TA1 - message queue size: 701
-TA1 - message queue size: 702
-TA1 - message queue size: 703
-TA1 - message queue size: 704
-TA1 - message queue size: 705
-TA1 - message queue size: 706
-TA1 - message queue size: 707
-TA1 - message queue size: 708
-TA1 - message queue size: 709
-TA1 - message queue size: 710
-TA1 - message queue size: 711
-TA1 - message queue size: 712
-TA1 - message queue size: 713
-TA1 - message queue size: 714
-TA1 - message queue size: 715
-TA1 - message queue size: 716
-TA1 - message queue size: 717
-TA1 - message queue size: 718
-TA1 - message queue size: 719
-TA1 - message queue size: 720
-TA1 - message queue size: 721
-TA1 - message queue size: 722
-TA1 - message queue size: 723
-TA1 - message queue size: 724
-TA1 - message queue size: 725
-TA1 - message queue size: 726
-TA1 - message queue size: 727
-TA1 - message queue size: 728
-TA1 - message queue size: 729
-TA1 - message queue size: 730
-TA1 - message queue size: 731
-TA1 - message queue size: 732
-TA1 - message queue size: 733
-TA1 - message queue size: 734
-TA1 - message queue size: 735
-TA1 - message queue size: 736
-TA1 - message queue size: 737
-TA1 - message queue size: 738
-TA1 - message queue size: 739
-TA1 - message queue size: 740
-TA1 - message queue size: 741
-TA1 - message queue size: 742
-TA1 - message queue size: 743
-TA1 - message queue size: 744
-TA1 - message queue size: 745
-TA1 - message queue size: 746
-TA1 - message queue size: 747
-TA1 - message queue size: 748
-TA1 - message queue size: 749
-TA1 - message queue size: 750
-TA1 - message queue size: 751
-TA1 - message queue size: 752
-TA1 - message queue size: 753
-TA1 - message queue size: 754
-TA1 - message queue size: 755
-TA1 - message queue size: 756
-TA1 - message queue size: 757
-TA1 - message queue size: 758
-TA1 - message queue size: 759
-TA1 - message queue size: 760
-TA1 - message queue size: 761
-TA1 - message queue size: 762
-TA1 - message queue size: 763
-TA1 - message queue size: 764
-TA1 - message queue size: 765
-TA1 - message queue size: 766
-TA1 - message queue size: 767
-TA1 - message queue size: 768
-TA1 - message queue size: 769
-TA1 - message queue size: 770
-TA1 - message queue size: 771
-TA1 - message queue size: 772
-TA1 - message queue size: 773
-TA1 - message queue size: 774
-TA1 - message queue size: 775
-TA1 - message queue size: 776
-TA1 - message queue size: 777
-TA1 - message queue size: 778
-TA1 - message queue size: 779
-TA1 - message queue size: 780
-TA1 - message queue size: 781
-TA1 - message queue size: 782
-TA1 - message queue size: 783
-TA1 - message queue size: 784
-TA1 - message queue size: 785
-TA1 - message queue size: 786
-TA1 - message queue size: 787
-TA1 - message queue size: 788
-TA1 - message queue size: 789
-TA1 - message queue size: 790
-TA1 - message queue size: 791
-TA1 - message queue size: 792
-TA1 - message queue size: 793
-TA1 - message queue size: 794
-TA1 - message queue size: 795
-TA1 - message queue size: 796
-TA1 - message queue size: 797
-TA1 - message queue size: 798
-TA1 - message queue size: 799
-TA1 - message queue size: 800
-TA1 - message queue size: 801
-TA1 - message queue size: 802
-TA1 - message queue size: 803
-TA1 - message queue size: 804
-TA1 - message queue size: 805
-TA1 - message queue size: 806
-TA1 - message queue size: 807
-TA1 - message queue size: 808
-TA1 - message queue size: 809
-TA1 - message queue size: 810
-TA1 - message queue size: 811
-TA1 - message queue size: 812
-TA1 - message queue size: 813
-TA1 - message queue size: 814
-TA1 - message queue size: 815
-TA1 - message queue size: 816
-TA1 - message queue size: 817
-TA1 - message queue size: 818
-TA1 - message queue size: 819
-TA1 - message queue size: 820
-TA1 - message queue size: 821
-TA1 - message queue size: 822
-TA1 - message queue size: 823
-TA1 - message queue size: 824
-TA1 - message queue size: 825
-TA1 - message queue size: 826
-TA1 - message queue size: 827
-TA1 - message queue size: 828
-TA1 - message queue size: 829
-TA1 - message queue size: 830
-TA1 - message queue size: 831
-TA1 - message queue size: 832
-TA1 - message queue size: 833
-TA1 - message queue size: 834
-TA1 - message queue size: 835
-TA1 - message queue size: 836
-TA1 - message queue size: 837
-TA1 - message queue size: 838
-TA1 - message queue size: 839
-TA1 - message queue size: 840
-TA1 - message queue size: 841
-TA1 - message queue size: 842
-TA1 - message queue size: 843
-TA1 - message queue size: 844
-TA1 - message queue size: 845
-TA1 - message queue size: 846
-TA1 - message queue size: 847
-TA1 - message queue size: 848
-TA1 - message queue size: 849
-TA1 - message queue size: 850
-TA1 - message queue size: 851
-TA1 - message queue size: 852
-TA1 - message queue size: 853
-TA1 - message queue size: 854
-TA1 - message queue size: 855
-TA1 - message queue size: 856
-TA1 - message queue size: 857
-TA1 - message queue size: 858
-TA1 - message queue size: 859
-TA1 - message queue size: 860
-TA1 - message queue size: 861
-TA1 - message queue size: 862
-TA1 - message queue size: 863
-TA1 - message queue size: 864
-TA1 - message queue size: 865
-TA1 - message queue size: 866
-TA1 - message queue size: 867
-TA1 - message queue size: 868
-TA1 - message queue size: 869
-TA1 - message queue size: 870
-TA1 - message queue size: 871
-TA1 - message queue size: 872
-TA1 - message queue size: 873
-TA1 - message queue size: 874
-TA1 - message queue size: 875
-TA1 - message queue size: 876
-TA1 - message queue size: 877
-TA1 - message queue size: 878
-TA1 - message queue size: 879
-TA1 - message queue size: 880
-TA1 - message queue size: 881
-TA1 - message queue size: 882
-TA1 - message queue size: 883
-TA1 - message queue size: 884
-TA1 - message queue size: 885
-TA1 - message queue size: 886
-TA1 - message queue size: 887
-TA1 - message queue size: 888
-TA1 - message queue size: 889
-TA1 - message queue size: 890
-TA1 - message queue size: 891
-TA1 - message queue size: 892
-TA1 - message queue size: 893
-TA1 - message queue size: 894
-TA1 - message queue size: 895
-TA1 - message queue size: 896
-TA1 - message queue size: 897
-TA1 - message queue size: 898
-TA1 - message queue size: 899
-TA1 - message queue size: 900
-TA1 - message queue size: 901
-TA1 - message queue size: 902
-TA1 - message queue size: 903
-TA1 - message queue size: 904
-TA1 - message queue size: 905
-TA1 - message queue size: 906
-TA1 - message queue size: 907
-TA1 - message queue size: 908
-TA1 - message queue size: 909
-TA1 - message queue size: 910
-TA1 - message queue size: 911
-TA1 - message queue size: 912
-TA1 - message queue size: 913
-TA1 - message queue size: 914
-TA1 - message queue size: 915
-TA1 - message queue size: 916
-TA1 - message queue size: 917
-TA1 - message queue size: 918
-TA1 - message queue size: 919
-TA1 - message queue size: 920
-TA1 - message queue size: 921
-TA1 - message queue size: 922
-TA1 - message queue size: 923
-TA1 - message queue size: 924
-TA1 - message queue size: 925
-TA1 - message queue size: 926
-TA1 - message queue size: 927
-TA1 - message queue size: 928
-TA1 - message queue size: 929
-TA1 - message queue size: 930
-TA1 - message queue size: 931
-TA1 - message queue size: 932
-TA1 - message queue size: 933
-TA1 - message queue size: 934
-TA1 - message queue size: 935
-TA1 - message queue size: 936
-TA1 - message queue size: 937
-TA1 - message queue size: 938
-TA1 - message queue size: 939
-TA1 - message queue size: 940
-TA1 - message queue size: 941
-TA1 - message queue size: 942
-TA1 - message queue size: 943
-TA1 - message queue size: 944
-TA1 - message queue size: 945
-TA1 - message queue size: 946
-TA1 - message queue size: 947
-TA1 - message queue size: 948
-TA1 - message queue size: 949
-TA1 - message queue size: 950
-TA1 - message queue size: 951
-TA1 - message queue size: 952
-TA1 - message queue size: 953
-TA1 - message queue size: 954
-TA1 - message queue size: 955
-TA1 - message queue size: 956
-TA1 - message queue size: 957
-TA1 - message queue size: 958
-TA1 - message queue size: 959
-TA1 - message queue size: 960
-TA1 - message queue size: 961
-TA1 - message queue size: 962
-TA1 - message queue size: 963
-TA1 - message queue size: 964
-TA1 - message queue size: 965
-TA1 - message queue size: 966
-TA1 - message queue size: 967
-TA1 - message queue size: 968
-TA1 - message queue size: 969
-TA1 - message queue size: 970
-TA1 - message queue size: 971
-TA1 - message queue size: 972
-TA1 - message queue size: 973
-TA1 - message queue size: 974
-TA1 - message queue size: 975
-TA1 - message queue size: 976
-TA1 - message queue size: 977
-TA1 - message queue size: 978
-TA1 - message queue size: 979
-TA1 - message queue size: 980
-TA1 - message queue size: 981
-TA1 - message queue size: 982
-TA1 - message queue size: 983
-TA1 - message queue size: 984
-TA1 - message queue size: 985
-TA1 - message queue size: 986
-TA1 - message queue size: 987
-TA1 - message queue size: 988
-TA1 - message queue size: 989
-TA1 - message queue size: 990
-TA1 - message queue size: 991
-TA1 - message queue size: 992
-TA1 - message queue size: 993
-TA1 - message queue size: 994
-TA1 - message queue size: 995
-TA1 - message queue size: 996
-TA1 - message queue size: 997
-TA1 - message queue size: 998
-TA1 - message queue size: 999
-TA1 - message queue size: 1000
-TA1 - message queue size: 1001
-TA1 - message queue size: 1002
-TA1 - message queue size: 1003
-TA1 - message queue size: 1004
-TA1 - message queue size: 1005
-TA1 - message queue size: 1006
-TA1 - message queue size: 1007
-TA1 - message queue size: 1008
-TA1 - message queue size: 1009
-TA1 - message queue size: 1010
-TA1 - message queue size: 1011
-TA1 - message queue size: 1012
-TA1 - message queue size: 1013
-TA1 - message queue size: 1014
-TA1 - message queue size: 1015
-TA1 - message queue size: 1016
-TA1 - message queue size: 1017
-TA1 - message queue size: 1018
-TA1 - message queue size: 1019
-TA1 - message queue size: 1020
-TA1 - message queue size: 1021
-TA1 - message queue size: 1022
-TA1 - message queue size: 1023
-TA1 - message queue size: 1024
-TA1 - message queue size: 1025
-TA1 - message queue size: 1026
-TA1 - message queue size: 1027
-TA1 - message queue size: 1028
-TA1 - message queue size: 1029
 *** END OF TEST 13 ***
Index: testsuites/sptests/sp13/system.h
===================================================================
--- testsuites/sptests/sp13/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp13/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,50 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+void Fill_buffer(
+  char  source[],
+  long *buffer
+);
+ 
+void Put_buffer(
+  long *buffer
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_3(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     10
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Queue_id[ 4 ];        /* array of queue ids */
+TEST_EXTERN rtems_name Queue_name[ 4 ];      /* array of queue names */
 
 /* end of include file */
Index: testsuites/sptests/sp13/task1.c
===================================================================
--- testsuites/sptests/sp13/task1.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp13/task1.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -274,10 +274,8 @@
   }
   
-pause();
-  
   puts( "TA1 - rtems_message_queue_create and send - variable sizes " );
   for (queue_size = 1; queue_size < 1030; queue_size++)
   {
-      printf("TA1 - message queue size: %d\n", queue_size);
+      /* printf("TA1 - message queue size: %d\n", queue_size); */
 
       status = rtems_message_queue_create(
Index: testsuites/sptests/sp14/init.c
===================================================================
--- testsuites/sptests/sp14/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp14/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp14/system.h
===================================================================
--- testsuites/sptests/sp14/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp14/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,60 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_timer_service_routine Signal_3_to_task_1(
+  rtems_id  id,
+  void     *pointer
+);
+ 
+rtems_asr Process_asr(
+  rtems_signal_set the_signal_set
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_TIMERS              1
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Timer_id[ 3 ];      /* array of timer ids */
+TEST_EXTERN rtems_name Timer_name[ 3 ];    /* array of timer names */
+
+TEST_EXTERN volatile rtems_unsigned32 Signals_sent;
+                                      /* set to TRUE to indicate that a */
+                                      /* signal set has been sent from  */
+                                      /* an ISR to the executing task   */
+
+TEST_EXTERN volatile rtems_unsigned32 Asr_fired;
+                                      /* set to TRUE to indicate that the */
+                                      /* RTEMS_ASR has executed and was   */
+                                      /* passed the correct signal set    */
+
+TEST_EXTERN volatile rtems_id  Timer_got_this_id;
+
+TEST_EXTERN volatile void     *Timer_got_this_pointer;
 
 /* end of include file */
Index: testsuites/sptests/sp15/init.c
===================================================================
--- testsuites/sptests/sp15/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp15/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp15/system.h
===================================================================
--- testsuites/sptests/sp15/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp15/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,42 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_PARTITIONS          2
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_name Partition_id[ 4 ];   /* array of partition ids */
+TEST_EXTERN rtems_name Partition_name[ 4 ]; /* array of partition names */
+ 
+TEST_EXTERN rtems_unsigned8 Area_1[4096] CPU_STRUCTURE_ALIGNMENT;
+TEST_EXTERN rtems_unsigned8 Area_2[274] CPU_STRUCTURE_ALIGNMENT;
+ 
+#define Put_address_from_area_1( _to_be_printed ) \
+   printf( "0x%08x", ((rtems_unsigned8 *)(_to_be_printed)) - Area_1 )
+ 
+#define Put_address_from_area_2( _to_be_printed ) \
+   printf( "0x%08x", ((rtems_unsigned8 *)(_to_be_printed)) - Area_2 )
+ 
 /* end of include file */
Index: testsuites/sptests/sp16/init.c
===================================================================
--- testsuites/sptests/sp16/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp16/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp16/system.h
===================================================================
--- testsuites/sptests/sp16/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp16/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,15 +17,67 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_3(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_4(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task5(
+  rtems_task_argument argument
+);
+ 
+/* configuration information */
 
-#define BASE_PRIORITY 140                /* all tasks priority */
+#define CONFIGURE_SPTEST
 
-/* macros */
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
-/* structures */
+#define CONFIGURE_MAXIMUM_REGIONS             4
+#define CONFIGURE_TICKS_PER_TIMESLICE       100
 
-#include "gvar.h"
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 6 ];      /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 6 ];    /* array of task names */
+TEST_EXTERN rtems_id   Region_id[ 5 ];    /* array of region ids */
+TEST_EXTERN rtems_name Region_name[ 5 ];  /* array of region names */
+
+TEST_EXTERN rtems_unsigned8 Area_1[4096] CPU_STRUCTURE_ALIGNMENT;
+TEST_EXTERN rtems_unsigned8 Area_2[4096] CPU_STRUCTURE_ALIGNMENT;
+TEST_EXTERN rtems_unsigned8 Area_3[4096] CPU_STRUCTURE_ALIGNMENT;
+TEST_EXTERN rtems_unsigned8 Area_4[8192] CPU_STRUCTURE_ALIGNMENT;
+
+#define BASE_PRIORITY 140
+
+#define Put_address_from_area_1( _to_be_printed ) \
+   printf( "0x%08x", ((rtems_unsigned8 *)(_to_be_printed)) - Area_1 )
+
+#define Put_address_from_area_2( _to_be_printed ) \
+   printf( "0x%08x", ((rtems_unsigned8 *)(_to_be_printed)) - Area_2 )
+
+#define Put_address_from_area_3( _to_be_printed ) \
+   printf( "0x%08x", ((rtems_unsigned8 *)(_to_be_printed)) - Area_3 )
+
+#define Put_address_from_area_4( _to_be_printed ) \
+   printf( "0x%08x", ((rtems_unsigned8 *)(_to_be_printed)) - Area_4 )
 
 /* end of include file */
Index: testsuites/sptests/sp17/init.c
===================================================================
--- testsuites/sptests/sp17/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp17/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp17/system.h
===================================================================
--- testsuites/sptests/sp17/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp17/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,40 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_asr Process_asr(
+  rtems_signal_set signal_set
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_2(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MICROSECONDS_PER_TICK   RTEMS_MILLISECONDS_TO_MICROSECONDS(25)
+#define CONFIGURE_TICKS_PER_TIMESLICE     1000
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_unsigned32 Task_2_preempted;
 
 /* end of include file */
Index: testsuites/sptests/sp19/init.c
===================================================================
--- testsuites/sptests/sp19/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp19/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp19/system.h
===================================================================
--- testsuites/sptests/sp19/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp19/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,37 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_task First_FP_task(
+  rtems_task_argument argument
+);
+ 
+rtems_task FP_task(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id Task_id[ 7 ];     /* array of task ids */
+TEST_EXTERN rtems_id Task_name[ 7 ];   /* array of task names */
+
+TEST_EXTERN rtems_double FP_factors[ 10 ];  /* FP "uniqueness" factors */
+TEST_EXTERN rtems_unsigned32 INTEGER_factors[ 10 ];  /* INT "uniqueness" factors */
 /* end of include file */
Index: testsuites/sptests/sp20/init.c
===================================================================
--- testsuites/sptests/sp20/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp20/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp20/system.h
===================================================================
--- testsuites/sptests/sp20/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp20/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,11 +17,5 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
-
-#define EXTERN  extern             /* external definition */
-
-/* macros */
-
-/* structures */
+/* types */
 
 struct counters {
@@ -29,5 +23,37 @@
 };
 
-#include "gvar.h"
+/* functions */
+
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_1_through_5(
+  rtems_task_argument argument
+);
+ 
+void Get_all_counters( void );
+ 
+/* configuration information */
+
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_INIT_TASK_PRIORITY          10
+#define CONFIGURE_INIT_TASK_INITIAL_MODES     RTEMS_DEFAULT_MODES
+#define CONFIGURE_MAXIMUM_PERIODS             10
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 6 ];     /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 6 ];   /* array of task names */
+
+TEST_EXTERN struct counters Count;       /* iteration counters */
+TEST_EXTERN struct counters Temporary_count;
+extern rtems_task_priority Priorities[ 6 ];
 
 /* end of include file */
Index: testsuites/sptests/sp21/init.c
===================================================================
--- testsuites/sptests/sp21/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp21/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp21/system.h
===================================================================
--- testsuites/sptests/sp21/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp21/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,28 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+#define CONFIGURE_TEST_NEEDS_STUB_DRIVER
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
 
 /* end of include file */
Index: testsuites/sptests/sp22/init.c
===================================================================
--- testsuites/sptests/sp22/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp22/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp22/system.h
===================================================================
--- testsuites/sptests/sp22/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp22/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,39 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_timer_service_routine Delayed_resume(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ 
+void Print_time( void );
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_TIMERS              2
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Timer_id[ 2 ];    /* array of timer ids */
+TEST_EXTERN rtems_name Timer_name[ 2 ];  /* array of timer names */
 
 /* end of include file */
Index: testsuites/sptests/sp23/init.c
===================================================================
--- testsuites/sptests/sp23/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp23/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp23/system.h
===================================================================
--- testsuites/sptests/sp23/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp23/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,38 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* structures */
+/* configuration information */
 
-#include "gvar.h"
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_PORTS               1
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 2 ];     /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 2 ];   /* array of task names */
+ 
+TEST_EXTERN rtems_id   Port_id[ 2 ];     /* array of port ids */
+TEST_EXTERN rtems_name Port_name[ 2 ];   /* array of port names */
+ 
+#define Internal_port_area ((rtems_unsigned8 *) 0x00001000)
+#define External_port_area ((rtems_unsigned8 *) 0x00002000)
+ 
+#define Below_port_area    ((rtems_unsigned8 *) 0x00000500)
+#define Above_port_area    ((rtems_unsigned8 *) 0x00003000)
 
 /* end of include file */
Index: testsuites/sptests/sp24/init.c
===================================================================
--- testsuites/sptests/sp24/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp24/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp24/system.h
===================================================================
--- testsuites/sptests/sp24/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp24/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,37 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+rtems_timer_service_routine Resume_task(
+  rtems_id  timer_id,
+  void     *ignored_address
+);
+ 
+rtems_task Task_1_through_3(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_TIMERS              3
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_id   Timer_id[ 4 ];     /* array of timer ids */
+TEST_EXTERN rtems_name Timer_name[ 4 ];   /* array of timer names */
 
 /* end of include file */
Index: testsuites/sptests/sp25/init.c
===================================================================
--- testsuites/sptests/sp25/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp25/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/sp25/system.h
===================================================================
--- testsuites/sptests/sp25/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/sp25/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,15 +17,38 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-#define BASE_PRIORITY 140                /* all tasks priority */
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_REGIONS             1
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 6 ];      /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 6 ];    /* array of task names */
+TEST_EXTERN rtems_id   Region_id[ 2 ];    /* array of region ids */
+TEST_EXTERN rtems_name Region_name[ 2 ];  /* array of region names */
+ 
+TEST_EXTERN rtems_unsigned8 Area_1[64000]  CPU_STRUCTURE_ALIGNMENT;
+ 
+#define BASE_PRIORITY 140
+ 
+#define Put_address_from_area_1( _to_be_printed ) \
+   printf( "0x%08x", ((rtems_unsigned8 *)(_to_be_printed)) - Area_1 )
+ 
 /* end of include file */
Index: testsuites/sptests/spfatal/init.c
===================================================================
--- testsuites/sptests/spfatal/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/spfatal/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/sptests/spfatal/system.h
===================================================================
--- testsuites/sptests/spfatal/system.h	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/spfatal/system.h	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,13 +17,63 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
+ 
+void put_error(
+  rtems_unsigned32  error,
+  rtems_status_code expected
+);
+ 
+rtems_extension Fatal_extension(
+  rtems_unsigned32 error
+);
+ 
+rtems_task Task_1(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+extern rtems_extensions_table initial_extensions;
 
-#include "gvar.h"
+#ifdef TEST_INIT
+rtems_extensions_table initial_extensions = {
+    NULL,                    /* create */
+    NULL,                    /* start */
+    NULL,                    /* restart */
+    NULL,                    /* delete */
+    NULL,                    /* switch */
+    NULL,                    /* post switch */
+    NULL,                    /* begin */
+    NULL,                    /* exitted */
+    Fatal_extension          /* fatal */
+};
+#endif
+
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MICROSECONDS_PER_TICK RTEMS_MILLISECONDS_TO_MICROSECONDS(0)
+#define CONFIGURE_TICKS_PER_TIMESLICE   0
+
+#define CONFIGURE_INITIAL_EXTENSIONS    &initial_extensions
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+
+TEST_EXTERN rtems_configuration_table        New_Configuration;
+
+extern rtems_extensions_table           Extensions;
+extern rtems_configuration_table        BSP_Configuration;
+extern rtems_cpu_table                  Cpu_table;
 
 /* end of include file */
Index: testsuites/sptests/spsize/init.c
===================================================================
--- testsuites/sptests/spsize/init.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/spsize/init.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -23,9 +23,6 @@
  */
 
-#include "apps.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
+#define TEST_INIT
+#include "system.h"
 
 rtems_task Test_task();
Index: testsuites/sptests/spsize/size.c
===================================================================
--- testsuites/sptests/spsize/size.c	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ testsuites/sptests/spsize/size.c	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
@@ -17,32 +17,32 @@
 #include <rtems/system.h>
 #include <rtems/config.h>
-#include <rtems/copyrt.h>
-#include <rtems/clock.h>
-#include <rtems/tasks.h>
-#include <rtems/dpmem.h>
-#include <rtems/event.h>
+#include <rtems/directives.h>
+#include <rtems/core/copyrt.h>
+#include <rtems/rtems/clock.h>
+#include <rtems/rtems/tasks.h>
+#include <rtems/rtems/dpmem.h>
+#include <rtems/rtems/event.h>
 #include <rtems/extension.h>
 #include <rtems/fatal.h>
 #include <rtems/init.h>
-#include <rtems/intthrd.h>
-#include <rtems/isr.h>
-#include <rtems/intr.h>
+#include <rtems/core/intthrd.h>
+#include <rtems/core/isr.h>
+#include <rtems/rtems/intr.h>
 #include <rtems/io.h>
-#include <rtems/message.h>
-#include <rtems/mp.h>
-#include <rtems/mpci.h>
-#include <rtems/part.h>
-#include <rtems/priority.h>
-#include <rtems/ratemon.h>
-#include <rtems/region.h>
-#include <rtems/sem.h>
-#include <rtems/signal.h>
+#include <rtems/rtems/message.h>
+#include <rtems/rtems/mp.h>
+#include <rtems/core/mpci.h>
+#include <rtems/rtems/part.h>
+#include <rtems/core/priority.h>
+#include <rtems/rtems/ratemon.h>
+#include <rtems/rtems/region.h>
+#include <rtems/rtems/sem.h>
+#include <rtems/rtems/signal.h>
 #include <rtems/sysstate.h>
-#include <rtems/thread.h>
-#include <rtems/timer.h>
-#include <rtems/tod.h>
-#include <rtems/userext.h>
-#include <rtems/wkspace.h>
-#include <rtems/mp.h>
+#include <rtems/core/thread.h>
+#include <rtems/rtems/timer.h>
+#include <rtems/core/tod.h>
+#include <rtems/core/userext.h>
+#include <rtems/core/wkspace.h>
 
 #include <stdlib.h>
@@ -204,5 +204,4 @@
 /*config.h*/    (sizeof _Configuration_Table)             +
                 (sizeof _Configuration_MP_table)          +
-                (sizeof _Configuration_MPCI_table)        +
 
 /*context.h*/   (sizeof _Context_Switch_necessary)        +
@@ -210,4 +209,6 @@
 /*copyrt.h*/    0                                         +
 
+/*debug.h*/     (sizeof _Debug_Level)                     +
+
 /*dpmem.h*/     (sizeof _Dual_ported_memory_Information)  +
 
@@ -226,14 +227,19 @@
 /*init.h*/      0                                         +
 
+/*interr.h*/    (sizeof Internal_errors_What_happened)    +
+
 /*inthrdmp.h*/  0                                         +
 
 /*intr.h*/      0                                         +
 
-/*intthrd.h*/   (sizeof _Internal_threads_System_initialization_thread) +
+/*intthrd.h*/   (sizeof _Internal_threads_Information)    +
+                (sizeof _Internal_threads_System_initialization_thread) +
                 (sizeof _Internal_threads_Idle_thread)    +
-                (sizeof _Internal_threads_MP_Receive_server_entry)    +
+                (sizeof _Internal_threads_Extensions)     +
 
 /*io.h*/        (sizeof _IO_Number_of_drivers)            +
                 (sizeof _IO_Driver_address_table)         +
+                (sizeof _IO_Number_of_devices)            +
+                (sizeof _IO_Driver_name_table)            +
 
 /*isr.h*/       (sizeof _ISR_Nest_level)                  +
@@ -248,4 +254,8 @@
 
 /*mpci.h*/      (sizeof _MPCI_Remote_blocked_threads)     +
+                (sizeof _MPCI_Semaphore)                  +
+                (sizeof _MPCI_table)                      +
+                (sizeof _MPCI_Receive_server_tcb)         +
+                (sizeof _MPCI_Packet_processors)          +
 
 /*mppkt.h*/     0                                         +
@@ -256,6 +266,9 @@
 
 /*object.h*/    (sizeof _Objects_Local_node)              +
-
-/*objectmp.h*/  (sizeof _Objects_MP_Inactive_global_objects) +
+                (sizeof _Objects_Maximum_nodes)           +
+                (sizeof _Objects_Information_table)       +
+
+/*objectmp.h*/  (sizeof _Objects_MP_Maximum_global_objects) +
+                (sizeof _Objects_MP_Inactive_global_objects) +
 
 /*options.h*/   0                                         +
@@ -290,13 +303,18 @@
 /*status.h*/    0                                         +
 
+/*sysstate.h*/  (sizeof _System_state_Is_multiprocessing) +
+                (sizeof _System_state_Current)            +
+
 /*system.h*/    (sizeof _CPU_Table)                       +
 
-/*sysstate.h*/  (sizeof _System_state_Current)            +
-
 /*taskmp.h*/    0                                         +
 
 /*tasks.h*/     (sizeof _RTEMS_tasks_Information)         +
-
-/*thread.h*/    (sizeof _Thread_Dispatch_disable_level)   +
+                (sizeof _RTEMS_tasks_User_initialization_tasks) +
+                (sizeof _RTEMS_tasks_Number_of_initialization_tasks) +
+
+/*thread.h*/    (sizeof _Thread_BSP_context)              +
+                (sizeof _Thread_Dispatch_disable_level)   +
+                (sizeof _Thread_Maximum_extensions)       +
                 (sizeof _Thread_Ticks_remaining_in_timeslice)   +
                 (sizeof _Thread_Ticks_per_timeslice)      +
@@ -305,5 +323,4 @@
                 (sizeof _Thread_Heir)                     +
                 (sizeof _Thread_Allocated_fp)             +
-                (sizeof _Thread_BSP_context)              +
 
 /*threadmp.h*/  (sizeof _Thread_MP_Receive)               +
@@ -311,5 +328,5 @@
                 (sizeof _Thread_MP_Inactive_proxies)      +
 
-/*threadq.h*/   0                                         +
+/*threadq.h*/   (sizeof _Thread_queue_Extract_table)      +
 
 /*timer.h*/     (sizeof _Timer_Information)               +
@@ -329,8 +346,8 @@
                 (sizeof _User_extensions_List)            +
 
-/*watchdog.h*/  (sizeof _Watchdog_Ticks_chain)            +
+/*watchdog.h*/  (sizeof _Watchdog_Sync_level)             +
+                (sizeof _Watchdog_Sync_count)             +
+                (sizeof _Watchdog_Ticks_chain)            +
                 (sizeof _Watchdog_Seconds_chain)          +
-                (sizeof _Watchdog_Sync_count)             +
-                (sizeof _Watchdog_Sync_level)             +
 
 /*wkspace.h*/   (sizeof _Workspace_Area);
@@ -384,8 +401,17 @@
 #endif
 
+#ifdef ppc
+
+/* cpu.h */
+uninitialized += (sizeof _CPU_Interrupt_stack_low) +
+                 (sizeof _CPU_Interrupt_stack_high) +
+                 (sizeof _CPU_IRQ_info);
+
+#endif
+
 initialized +=
 /*copyrt.h*/    (strlen(_Copyright_Notice)+1)             +
 
-/*sptables.h*/  (sizeof _Configuration_Default_multiprocessing_table)  +
+/*sptables.h*/  (sizeof _Initialization_Default_multiprocessing_table)  +
                 (strlen(_RTEMS_version)+1)      +
                 (sizeof _Entry_points)          +
